> ## Documentation Index
> Fetch the complete documentation index at: https://docs.masivo.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Authorize

> Get an Access token to be able to call the api. This token should be kept secret and not exposed to the client.



## OpenAPI

````yaml GET /auth/authorize
openapi: 3.0.1
info:
  title: Masivo's REST API
  description: Learn how to use Masivo's REST API
  license:
    name: MIT
  version: 1.0.0
servers:
  - url: https://app.masivo.ai/api/storefront/v1
security:
  - bearerAuth: []
paths:
  /auth/authorize:
    get:
      description: >-
        Get an Access token to be able to call the api. This token should be
        kept secret and not exposed to the client.
      parameters:
        - in: header
          name: x-api-key
          description: Your integrations api key
          required: true
          schema:
            type: string
            format: uuid
      responses:
        '200':
          description: Ok authorized
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    type: string
                    description: >-
                      The access token to be used in the api. DO NOT EXPOSE THIS
                      TOKEN TO THE CLIENT!
                    example: >-
                      eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9.eyJzdWIiOiIxMjM0NTY3ODkwIiwibmFtZSI6IkpvaG4gRG9lIiwiaWF0IjoxNTE2MjM5MDIyfQ.SflKxwRJSMeKKF2QT4fwpMeJf36POk6yJV_adQssw5c
        '400':
          description: Bad request, missing x-api-key header
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
        '401':
          description: Unauthorized, invalid x-api-key header
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
              examples:
                insufficientFunds:
                  summary: Insufficient wallet balance
                  value:
                    error: Internal validation failed
                    details: Insufficient funds
                ecommerceScopeMismatch:
                  summary: Reward is not available for the order scope
                  value:
                    error: Internal validation failed
                    details: >-
                      This reward is not available for this store, channel, or
                      product.
      security: []
components:
  schemas:
    Error:
      required:
        - error
        - details
      type: object
      properties:
        error:
          type: string
        details:
          type: string
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````